°

安装tp5.1的两种方法

2019年课程规划及价格说明


PHP实战视频教程大全

上节课我们已经下载到了tp5.1,接下来就要安装了

那么我们先看看tp5.1对于环境的要求:

ThinkPHP5的运行环境要求PHP5.6以上。

这里我使用的版本是7.1符合要求,当然大家如果还么有安装php环境自己可以去安装一下

你可以使用phpstudy或者wamp或者mamp等php集成环境,傻瓜式的安装流程非常简单

这里我们就不再说怎么搭建环境了

1、手动安装

目前我们已经下载到tp5.1了,接下来我们来安装,说是安装,实际上就是找到我们php环境的www跟路径,建个文件夹,把下载的tp5.1文件放进去即可

当然你要事先启动你的集成环境

我在www站点根路径创建了一个tp51的文件夹,把tp5.1的文件粘贴了进去

接着来访问一下,输入地址:http://127.0.0.1/tp51/public/index.php

输入地址后回车,看到了熟悉的欢迎界面,那就安装成功了

2、composer安装

使用composer安装,首先你要先安装composer,这个也是非常简单的,下一步就可以安装成功

怎么通过composer安装tp5.1呢,流程如下:

第一步:在composer里先把路径切到你的站点根路径,就是www目录

我的目录是F:\wamp\www

所以我第一步找到运行输入cmd打开终端,输入composer进入命令模式,接着,输入:

cd F:\wamp\www

打开后开始安装tp5.1,composer安装tp5.1只需要输入命令:

composer create-project topthink/think tp

同样安装成功,同样可以打开欢迎界面

打赏
  喜欢